WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Logitech Media Server  (Read 25362 times)

Offline sbp

  • Sr. Member
  • ****
  • Posts: 429
    • piCorePlayer homepage
Re: Logitech Media Server
« Reply #30 on: April 01, 2014, 09:39:33 AM »
Hi I followed the as always good advice from bmarkus and build the missing perl modules.


Now all the perl modules are found and loaded and when almost finished it seems like it just need the correct path to the modules.conf

But I can't find this file?

Steen


Code: [Select]
tc@box:~$ /usr/sbin/squeezeboxserver --d_startup --failsafe
Got @INC containing:
/usr/sbin
/usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi
/usr/local/lib/perl5/site_perl/5.18.1
/usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi
/usr/local/lib/perl5/5.18.1
/usr/local/lib/perl5/site_perl
.

Extended @INC to contain:
/usr/sbin/CPAN/arch/5.18/arm-linux-gnueabi-thread-multi
/usr/sbin/CPAN/arch/5.18/arm-linux-gnueabi-thread-multi/auto
/usr/sbin/CPAN/arch/5.18.1/armv6l-linux-thread-multi
/usr/sbin/CPAN/arch/5.18.1/armv6l-linux-thread-multi/auto
/usr/sbin/CPAN/arch/5.18/armv6l-linux-thread-multi
/usr/sbin/CPAN/arch/5.18/armv6l-linux-thread-multi/auto
/usr/sbin/CPAN/arch/armv6l-linux-thread-multi
/usr/sbin/lib
/usr/sbin/CPAN
/usr/sbin
/usr/sbin
/usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi
/usr/local/lib/perl5/site_perl/5.18.1
/usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi
/usr/local/lib/perl5/5.18.1
/usr/local/lib/perl5/site_perl
.

Loaded module: [version] ok!
Loaded module: [Time::HiRes] ok!
Loaded module: [DBI] ok!
Loaded module: [EV] ok!
Loaded module: [XML::Parser::Expat] ok!
Loaded module: [HTML::Parser] ok!
Loaded module: [JSON::XS] ok!
Loaded module: [Digest::SHA1] ok!
Loaded module: [YAML::XS] ok!
Loaded module: [Sub::Name] ok!
The following modules are loaded after the first attempt:
        POSIX.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/POSIX.pm
        HTML/Parser.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/HTML/Parser.pm
        Slim/Utils/OSDetect.pm => /usr/local/lib/perl5/site_perl/5.18.1/Slim/Utils/OSDetect.pm
        Digest/SHA1.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/Digest/SHA1.pm
        base.pm => /usr/local/lib/perl5/5.18.1/base.pm
        FindBin.pm => /usr/local/lib/perl5/5.18.1/FindBin.pm
        DynaLoader.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/DynaLoader.pm
        Fcntl.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/Fcntl.pm
        warnings/register.pm => /usr/local/lib/perl5/5.18.1/warnings/register.pm
        B.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/B.pm
        constant.pm => /usr/local/lib/perl5/5.18.1/constant.pm
        Exporter.pm => /usr/local/lib/perl5/5.18.1/Exporter.pm
        EV.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/EV.pm
        File/Spec/Functions.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/File/Spec/Functions.pm
        HTML/Entities.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/HTML/Entities.pm
        Slim/Utils/OS.pm => /usr/local/lib/perl5/site_perl/5.18.1/Slim/Utils/OS.pm
        lib.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/lib.pm
        Exporter/Heavy.pm => /usr/local/lib/perl5/5.18.1/Exporter/Heavy.pm
        Config_git.pl => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/Config_git.pl
        overload.pm => /usr/local/lib/perl5/5.18.1/overload.pm
        YAML/XS.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/YAML/XS.pm
        Sub/Name.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/Sub/Name.pm
        Scalar/Util.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/Scalar/Util.pm
        XML/Parser/Expat.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/XML/Parser/Expat.pm
        common/sense.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/common/sense.pm
        Config_heavy.pl => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/Config_heavy.pl
        feature.pm => /usr/local/lib/perl5/5.18.1/feature.pm
        Symbol.pm => /usr/local/lib/perl5/5.18.1/Symbol.pm
        Slim/Utils/OS/Unix.pm => /usr/local/lib/perl5/site_perl/5.18.1/Slim/Utils/OS/Unix.pm
        vars.pm => /usr/local/lib/perl5/5.18.1/vars.pm
        File/Spec/Unix.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/File/Spec/Unix.pm
        YAML/XS/LibYAML.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/YAML/XS/LibYAML.pm
        File/Spec.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/File/Spec.pm
        File/Basename.pm => /usr/local/lib/perl5/5.18.1/File/Basename.pm
        attributes.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/attributes.pm
        Slim/Utils/OS/Linux.pm => /usr/local/lib/perl5/site_perl/5.18.1/Slim/Utils/OS/Linux.pm
        DBI.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/DBI.pm
        strict.pm => /usr/local/lib/perl5/5.18.1/strict.pm
        Digest/base.pm => /usr/local/lib/perl5/5.18.1/Digest/base.pm
        B/Deparse.pm => /usr/local/lib/perl5/5.18.1/B/Deparse.pm
        version.pm => /usr/local/lib/perl5/5.18.1/version.pm
        Carp.pm => /usr/local/lib/perl5/5.18.1/Carp.pm
        warnings.pm => /usr/local/lib/perl5/5.18.1/warnings.pm
        Cwd.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/Cwd.pm
        Getopt/Long.pm => /usr/local/lib/perl5/5.18.1/Getopt/Long.pm
        overloading.pm => /usr/local/lib/perl5/5.18.1/overloading.pm
        Config.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/Config.pm
        JSON/XS.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/JSON/XS.pm
        Tie/Hash.pm => /usr/local/lib/perl5/5.18.1/Tie/Hash.pm
        Time/HiRes.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/Time/HiRes.pm
        Types/Serialiser.pm => /usr/local/lib/perl5/site_perl/5.18.1/Types/Serialiser.pm
        List/Util.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/List/Util.pm
        XSLoader.pm => /usr/local/lib/perl5/5.18.1/XSLoader.pm
        Slim/bootstrap.pm => /usr/local/lib/perl5/site_perl/5.18.1/Slim/bootstrap.pm
        re.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/re.pm
        File/Path.pm => /usr/local/lib/perl5/5.18.1/File/Path.pm

The following modules are loaded after the second attempt:
        POSIX.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/POSIX.pm
        HTML/Parser.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/HTML/Parser.pm
        Slim/Utils/OSDetect.pm => /usr/local/lib/perl5/site_perl/5.18.1/Slim/Utils/OSDetect.pm
        Digest/SHA1.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/Digest/SHA1.pm
        base.pm => /usr/local/lib/perl5/5.18.1/base.pm
        FindBin.pm => /usr/local/lib/perl5/5.18.1/FindBin.pm
        DynaLoader.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/DynaLoader.pm
        Fcntl.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/Fcntl.pm
        warnings/register.pm => /usr/local/lib/perl5/5.18.1/warnings/register.pm
        B.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/B.pm
        constant.pm => /usr/local/lib/perl5/5.18.1/constant.pm
        Exporter.pm => /usr/local/lib/perl5/5.18.1/Exporter.pm
        EV.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/EV.pm
        File/Spec/Functions.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/File/Spec/Functions.pm
        HTML/Entities.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/HTML/Entities.pm
        Slim/Utils/OS.pm => /usr/local/lib/perl5/site_perl/5.18.1/Slim/Utils/OS.pm
        lib.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/lib.pm
        Exporter/Heavy.pm => /usr/local/lib/perl5/5.18.1/Exporter/Heavy.pm
        Config_git.pl => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/Config_git.pl
        overload.pm => /usr/local/lib/perl5/5.18.1/overload.pm
        YAML/XS.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/YAML/XS.pm
        Sub/Name.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/Sub/Name.pm
        Scalar/Util.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/Scalar/Util.pm
        XML/Parser/Expat.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/XML/Parser/Expat.pm
        common/sense.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/common/sense.pm
        Config_heavy.pl => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/Config_heavy.pl
        feature.pm => /usr/local/lib/perl5/5.18.1/feature.pm
        Symbol.pm => /usr/local/lib/perl5/5.18.1/Symbol.pm
        Slim/Utils/OS/Unix.pm => /usr/local/lib/perl5/site_perl/5.18.1/Slim/Utils/OS/Unix.pm
        vars.pm => /usr/local/lib/perl5/5.18.1/vars.pm
        File/Spec/Unix.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/File/Spec/Unix.pm
        YAML/XS/LibYAML.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/YAML/XS/LibYAML.pm
        File/Spec.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/File/Spec.pm
        File/Basename.pm => /usr/local/lib/perl5/5.18.1/File/Basename.pm
        attributes.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/attributes.pm
        Slim/Utils/OS/Linux.pm => /usr/local/lib/perl5/site_perl/5.18.1/Slim/Utils/OS/Linux.pm
        DBI.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/DBI.pm
        strict.pm => /usr/local/lib/perl5/5.18.1/strict.pm
        Digest/base.pm => /usr/local/lib/perl5/5.18.1/Digest/base.pm
        B/Deparse.pm => /usr/local/lib/perl5/5.18.1/B/Deparse.pm
        version.pm => /usr/local/lib/perl5/5.18.1/version.pm
        Carp.pm => /usr/local/lib/perl5/5.18.1/Carp.pm
        warnings.pm => /usr/local/lib/perl5/5.18.1/warnings.pm
        Cwd.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/Cwd.pm
        Getopt/Long.pm => /usr/local/lib/perl5/5.18.1/Getopt/Long.pm
        overloading.pm => /usr/local/lib/perl5/5.18.1/overloading.pm
        Config.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/Config.pm
        JSON/XS.pm => /usr/local/lib/perl5/site_perl/5.18.1/armv6l-linux-thread-multi/JSON/XS.pm
        Tie/Hash.pm => /usr/local/lib/perl5/5.18.1/Tie/Hash.pm
        Time/HiRes.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/Time/HiRes.pm
        Types/Serialiser.pm => /usr/local/lib/perl5/site_perl/5.18.1/Types/Serialiser.pm
        List/Util.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/List/Util.pm
        XSLoader.pm => /usr/local/lib/perl5/5.18.1/XSLoader.pm
        Slim/bootstrap.pm => /usr/local/lib/perl5/site_perl/5.18.1/Slim/bootstrap.pm
        re.pm => /usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/re.pm
        File/Path.pm => /usr/local/lib/perl5/5.18.1/File/Path.pm

modules.conf not found at /usr/local/lib/perl5/site_perl/5.18.1/Slim/bootstrap.pm line 352.
BEGIN failed--compilation aborted at /usr/sbin/squeezeboxserver line 144.
tc@box:~$

Offline sbp

  • Sr. Member
  • ****
  • Posts: 429
    • piCorePlayer homepage
Re: Logitech Media Server
« Reply #31 on: April 01, 2014, 01:38:40 PM »
OK

Got a little further.
According to Michael Herger (the developer of LMS) LMS can detect which distro it is running on and adjust the different path accordingly. As it does not recognize microcore it needs modules.conf in usr/sbin

So after doing:
tc@box:~$ sudo cp -p /etc/squeezeboxserver/modules.conf /usr/sbin/modules.conf 

It got further - but now once again complain about some perl stuff. I don't quite understand - are the perl modules needed different from what are available?

Code: [Select]
The following CPAN modules were found but cannot work with Logitech Media Server:
  AnyEvent (loaded <not found>, need 5.202)
  Audio::Scan (loaded <not found>, need 0.93)
  Cache::Cache (loaded <not found>, need 1.04)
  Class::Data::Inheritable (loaded <not found>, need 0.04)
  Class::Inspector (loaded <not found>, need 1.16)
  DBIx::Class (loaded <not found>, need 0.08112)
  Data::URIEncode (loaded <not found>, need 0.11)
  Date::Parse (loaded <not found>, need 2.27)
  File::BOM (loaded <not found>, need 0.13)
  File::Next (loaded <not found>, need 1.06)
  File::Which (loaded <not found>, need 0.05)
  IO::String (loaded <not found>, need 1.07)
  Image::Scale (loaded <not found>, need 0.08)
  JSON::XS::VersionOneAndTwo (loaded <not found>, need 0.31)
  LWP (loaded <not found>, need 5.805)
  Log::Log4perl (loaded <not found>, need 1.23)
  Path::Class (loaded <not found>, need 0.17)
  Proc::Background (loaded <not found>, need 1.08)
  SQL::Abstract (loaded <not found>, need 1.56)
  Text::Unidecode (loaded <not found>, need 0.04)
  Tie::Cache::LRU (loaded <not found>, need 0.21)
  Tie::RegexpHash (loaded <not found>, need 0.13)
  Time::Zone (loaded <not found>, need 2.22)
  URI (loaded <not found>, need 1.35)
  XML::Simple (loaded <not found>, need 2.15)

To fix this problem you have several options:
1. Install the latest version of the module(s) using CPAN: sudo cpan Some::Module
2. Update the module's package using apt-get, yum, etc.
3. Run the .tar.gz version of Logitech Media Server which includes all required CPAN modules.


/Steen

Offline bmarkus

  • Administrator
  • Hero Member
  • *****
  • Posts: 7003
    • My Community Forum
Re: Logitech Media Server
« Reply #32 on: April 01, 2014, 02:45:08 PM »
Code: [Select]
The following CPAN modules were found but cannot work with Logitech Media Server:
  AnyEvent (loaded <not found>, need 5.202)
  Audio::Scan (loaded <not found>, need 0.93)
  Cache::Cache (loaded <not found>, need 1.04)
  Class::Data::Inheritable (loaded <not found>, need 0.04)
  Class::Inspector (loaded <not found>, need 1.16)
  DBIx::Class (loaded <not found>, need 0.08112)
  Data::URIEncode (loaded <not found>, need 0.11)
  Date::Parse (loaded <not found>, need 2.27)
  File::BOM (loaded <not found>, need 0.13)
  File::Next (loaded <not found>, need 1.06)
  File::Which (loaded <not found>, need 0.05)
  IO::String (loaded <not found>, need 1.07)
  Image::Scale (loaded <not found>, need 0.08)
  JSON::XS::VersionOneAndTwo (loaded <not found>, need 0.31)
  LWP (loaded <not found>, need 5.805)
  Log::Log4perl (loaded <not found>, need 1.23)
  Path::Class (loaded <not found>, need 0.17)
  Proc::Background (loaded <not found>, need 1.08)
  SQL::Abstract (loaded <not found>, need 1.56)
  Text::Unidecode (loaded <not found>, need 0.04)
  Tie::Cache::LRU (loaded <not found>, need 0.21)
  Tie::RegexpHash (loaded <not found>, need 0.13)
  Time::Zone (loaded <not found>, need 2.22)
  URI (loaded <not found>, need 1.35)
  XML::Simple (loaded <not found>, need 2.15)

To fix this problem you have several options:
1. Install the latest version of the module(s) using CPAN: sudo cpan Some::Module
2. Update the module's package using apt-get, yum, etc.
3. Run the .tar.gz version of Logitech Media Server which includes all required CPAN modules.


/Steen

They are <not found> which means they are missing. Install from CPAN as the first bunch of modules. Title error message is not true.
Béla
Ham Radio callsign: HA5DI

"Amateur Radio: The First Technology-Based Social Network."

Offline sbp

  • Sr. Member
  • ****
  • Posts: 429
    • piCorePlayer homepage
Re: Logitech Media Server
« Reply #33 on: April 01, 2014, 03:24:12 PM »
Thanks

Will do - I already have the first 10 modules build.
And the error message for these modules disappear when I try to start LMS - so I think there is light at the end of the tunnel.

Can I somehow build these modules into something useful for you?

Is it easy to pack them into tcz packages?

Steen

Offline bmarkus

  • Administrator
  • Hero Member
  • *****
  • Posts: 7003
    • My Community Forum
Re: Logitech Media Server
« Reply #34 on: April 01, 2014, 03:42:21 PM »

Can I somehow build these modules into something useful for you?

Is it easy to pack them into tcz packages?

Sure! You can create tcz's for them and we can add to the repo. Use perl_xml_parser.tcz as a template. It is not difficult to create the tcz, just takes some time. Maybe would be good to have some parts scripted, but I havn't such tool.

Make one and email to check. If you stucked, PM.
Béla
Ham Radio callsign: HA5DI

"Amateur Radio: The First Technology-Based Social Network."

Offline sbp

  • Sr. Member
  • ****
  • Posts: 429
    • piCorePlayer homepage
Re: Logitech Media Server
« Reply #35 on: April 02, 2014, 10:12:27 AM »
Hi it is going slowly in the right direction - I have added all but three Perl modules which gives me problems.

Sp the only remaining errors during start of LMS are:
Code: [Select]
The following CPAN modules were found but cannot work with Logitech Media Server:
  Audio::Scan (loaded <not found>, need 0.93)
  DBIx::Class (loaded <not found>, need 0.08112)
  Image::Scale (loaded <not found>, need 0.08)


The Image::Scale module will not install.  It is complaining about a missing libjpeg or libpng - but both of these packages are installed using the TCE package system
Code: [Select]
libpng.tcz
A)bout I)nstall O)nDemand D)epends T)ree F)iles siZ)e L)ist S)earch P)rovides K)eywords or Q)uit:
libpng is already installed!
 libpng.tcz
A)bout I)nstall O)nDemand D)epends T)ree F)iles siZ)e L)ist S)earch P)rovides K)eywords or Q)uit:
tc@box:~$ sudo perl -MCPAN -e shell
Terminal does not support AddHistory.

cpan shell -- CPAN exploration and modules installation (v2.00)
Enter 'h' for help.

cpan[1]> install Image::Scale
Reading '/home/tc/.cpan/Metadata'
  Database was generated on Wed, 02 Apr 2014 15:06:27 GMT
Running install for module 'Image::Scale'
Running make for A/AG/AGRUNDMA/Image-Scale-0.08.tar.gz
Checksum for /home/tc/.cpan/sources/authors/id/A/AG/AGRUNDMA/Image-Scale-0.08.tar.gz ok
Scanning cache /home/tc/.cpan/build for sizes
............................................................................DONE

  CPAN.pm: Building A/AG/AGRUNDMA/Image-Scale-0.08.tar.gz

Image::Scale requires at least one of libjpeg or libpng, please install one or both and try again.
No 'Makefile' created  AGRUNDMA/Image-Scale-0.08.tar.gz
  /usr/local/bin/perl Makefile.PL -- NOT OK
Running make test
  Make had some problems, won't test
Running make install
  Make had some problems, won't install
Could not read metadata file. Falling back to other methods to determine prerequisites
Failed during this command:
 AGRUNDMA/Image-Scale-0.08.tar.gz             : writemakefile NO -- No 'Makefile' created




The other is  Audio::Scan

Code: [Select]
tc@box:~$ sudo perl -MCPAN -e shell
Terminal does not support AddHistory.

cpan shell -- CPAN exploration and modules installation (v2.00)
Enter 'h' for help.

cpan[1]> install Audio::Scan
Reading '/home/tc/.cpan/Metadata'
  Database was generated on Wed, 02 Apr 2014 15:06:27 GMT
Running install for module 'Audio::Scan'
Running make for A/AG/AGRUNDMA/Audio-Scan-0.93.tar.gz
Checksum for /home/tc/.cpan/sources/authors/id/A/AG/AGRUNDMA/Audio-Scan-0.93.tar.gz ok
Scanning cache /home/tc/.cpan/build for sizes
Killed
tc@box:~$


Offline bmarkus

  • Administrator
  • Hero Member
  • *****
  • Posts: 7003
    • My Community Forum
Re: Logitech Media Server
« Reply #36 on: April 02, 2014, 11:32:26 AM »
Audio::Scan installs fine without errors here.
Béla
Ham Radio callsign: HA5DI

"Amateur Radio: The First Technology-Based Social Network."

Offline bmarkus

  • Administrator
  • Hero Member
  • *****
  • Posts: 7003
    • My Community Forum
Re: Logitech Media Server
« Reply #37 on: April 02, 2014, 11:40:20 AM »
Image::Scale - there is an issue with gif part at first try:

  CPAN.pm: Building A/AG/AGRUNDMA/Image-Scale-0.08.tar.gz

Code: [Select]
cp lib/Image/Scale.pm blib/lib/Image/Scale.pm
/usr/local/bin/perl /usr/local/lib/perl5/5.18.1/ExtUtils/xsubpp  -typemap /usr/local/lib/perl5/5.18.1/ExtUtils/typemap -typemap typemap  Scale.xs > Scale.xsc && mv Scale.xsc Scale.c
Please specify prototyping behavior for Scale.xs (see perlxs manual)
cc -c  -I. -I.. -Isrc -Iinclude -I/usr/local/include -I/usr/local/include -I/usr/local/include -D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2   -DVERSION=\"0.08\" -DXS_VERSION=\"0.08\" -fPIC "-I/usr/local/lib/perl5/5.18.1/armv6l-linux-thread-multi/CORE"  -O2 -Wall -Wno-unused-value -Wno-format-security -Winline -ffast-math -DHAVE_JPEG -DJPEG_VERSION=unknown -DHAVE_PNG -DPNG_VERSION=1.5.17 -DHAVE_GIF -DGIF_VERSION=unknown Scale.c
In file included from src/image.c:20:0,
                 from Scale.xs:18:
src/bmp.c: In function 'image_bmp_read_header':
src/bmp.c:25:7: warning: variable 'offset' set but not used [-Wunused-but-set-variable]
   int offset, palette_colors;
       ^
In file included from src/image.c:25:0,
                 from Scale.xs:18:
src/png.c: In function 'image_png_read_buf':
src/png.c:43:2: warning: implicit declaration of function 'png_memcpy' [-Wimplicit-function-declaration]
  png_memcpy(data, buffer_ptr(im->buf), len);
  ^
In file included from src/image.c:28:0,
                 from Scale.xs:18:
src/gif.c: In function 'image_gif_read_header':
src/gif.c:58:3: error: too few arguments to function 'DGifOpen'
   im->gif = DGifOpen(im, image_gif_read_buf);

Maybe incompatible gib lib.
Béla
Ham Radio callsign: HA5DI

"Amateur Radio: The First Technology-Based Social Network."

Offline bmarkus

  • Administrator
  • Hero Member
  • *****
  • Posts: 7003
    • My Community Forum
Re: Logitech Media Server
« Reply #38 on: April 02, 2014, 11:25:06 PM »
DBIx::Class installed. Took more than 6 hours, installed 12MB, many dependencies, but it is there.

sbp@ if you whish I can send you DBIx::Class for testing as well as Audio::Scan
« Last Edit: April 03, 2014, 01:43:07 AM by bmarkus »
Béla
Ham Radio callsign: HA5DI

"Amateur Radio: The First Technology-Based Social Network."

Offline sbp

  • Sr. Member
  • ****
  • Posts: 429
    • piCorePlayer homepage
Re: Logitech Media Server
« Reply #39 on: April 03, 2014, 02:49:39 AM »
hi bmarkus

Thank you for your support - I would be happy if you could send me these modules.

Unfortunately my SD-card died, so I will have to start all over again.

Steen

Offline pimartin

  • WikiUser
  • *
  • Posts: 5
Re: Logitech Media Server
« Reply #40 on: March 22, 2015, 05:48:51 PM »
Hello everyone,

I'd like to revive this threat because I would really like havíng LMS running on a PiCoPlayer for a standalone internet Radio project I'm doing.

So far I tried redoing the steps that have been suggested here in previous answers on my Pi with a PiCoPlayer image to start with:

First I was running out of space unpacking and packaging the .deb package, so I moved my working directory to the mounted ext4 partition, in piCorePlayer thats mnt/mmcblk0p2. There I made a folder to do all the work in and gave it user rights.

After building the logitechmediaserver.tcz, I got the same errors of a missing bootstrap file, so I linked it to the right place which worked out fine. Then I had the same errors of missing perl modules, and thats where I'm stuck right now. Using cpan to install/compile them, they just wont build. 

Here's a summary of what I did:

Code: [Select]
# giving user rights to a working folder I created before
sudo chown -R tc /mnt/mmcblk0p2/install_lms

# installing missing packages + nano (because I'm horrible with vi ;) )
tce-load -wi perl5.tcz libjpeg-turbo.tcz libpng.tcz giflib.tcz ffmpeg.tcz nano

# downloading lms debian package
wget http://debian.slimdevices.com/pool/main/l/logitechmediaserver/logitechmedi$

# unpack
ar -x logitechmediaserver_7.8.1~1426671206_all.deb

# create folder pkg
mkdir pkg
 
# more unpacking into pkg folder
tar xvf data.tar.gz -C pkg

# create folder for startup script
mkdir -p pkg/usr/local/tce.installed

# place startup script made by Jason W
cp logitechmediaserver-pi pkg/usr/local/tce.installed/logitechmediaserver-pi

# make it executable
sudo chmod -R 775 pkg/usr/local/tce.installed
sudo chown -R root:staff pkg/usr/local/tce.installed

# pack tcz file
mksquashfs pkg/ /etc/sysconfig/tcedir/optional/logitechmediaserver.tcz -noappend

#  sove the bootstrap issue
sudo ln -sf /usr/share/perl5/Slim/ /usr/local/lib/perl5/site_perl/5.20.1/

# install compiler for installing perl modules with cpan
tce-load -wo compile-essentials

Up to that point everything works out but as I said, installing the perl-modules i get errors.

E.g. sudo cpan JSON::XS terminates with
Code: [Select]
compilation terminated.
Makefile:331: recipe for target 'XS.o' failed
make: *** [XS.o] Error 1
  MLEHMANN/JSON-XS-3.01.tar.gz
  make -- NOT OK

Every help is welcome!

Martin
« Last Edit: March 22, 2015, 05:59:29 PM by pimartin »

Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 6722
Re: Logitech Media Server
« Reply #41 on: March 22, 2015, 06:28:02 PM »
Hi pimartin
Quote
Code: [Select]
compilation terminated.
Makefile:331: recipe for target 'XS.o' failed
make: *** [XS.o] Error 1
  MLEHMANN/JSON-XS-3.01.tar.gz
  make -- NOT OK
There probably some errors listed prior to that. In order for someone to help you they will probably want to see them.

Offline pimartin

  • WikiUser
  • *
  • Posts: 5
Re: Logitech Media Server
« Reply #42 on: March 23, 2015, 08:19:42 PM »
Quote
There probably some errors listed prior to that

indeed...

seems limits.h is missing. I googled around and thought its part of the linux headers so i loaded  linux-3.18.y_api_headers.tcz but i still get the same errors

Code: [Select]
In file included from /usr/include/bits/posix1_lim.h:160:0,
                 from /usr/include/limits.h:143,
                 from /usr/lib/gcc/armv6l-unknown-linux-gnueabihf/4.9.2/include-fixed/limits.h:168,
                 from /tmp/tcloop/gcc/usr/lib/gcc/armv6l-unknown-linux-gnueabihf/4.9.2/include-fixed/limits.h:168,
                 from /tmp/tcloop/gcc/usr/lib/gcc/armv6l-unknown-linux-gnueabihf/4.9.2/include-fixed/syslimits.h:7,
                 from /tmp/tcloop/gcc/usr/lib/gcc/armv6l-unknown-linux-gnueabihf/4.9.2/include-fixed/limits.h:34,
                 from /usr/include/sys/param.h:26,
                 from /usr/local/lib/perl5/5.20.1/armv6l-linux-thread-multi/CORE/perl.h:751,
                 from XS.xs:2:
/usr/include/bits/local_lim.h:38:26: fatal error: linux/limits.h: No such file or directory
 #include <linux/limits.h>
                          ^
compilation terminated.
Makefile:331: recipe for target 'XS.o' failed
make: *** [XS.o] Error 1
  MLEHMANN/JSON-XS-3.01.tar.gz
  make -- NOT OK

So what do I miss?

Martin

Offline pimartin

  • WikiUser
  • *
  • Posts: 5
Re: Logitech Media Server
« Reply #43 on: March 23, 2015, 11:30:56 PM »
Alright, found it. the file was part of the headers, but it sits in /usr/include/linux instead of /usr/include. Linking it with

Code: [Select]
sudo ln -sf /usr/include /usr/include/linux/ fixed the problem. JSON::XS is compiling right now. I hope the others will too... ???


Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 6722
Re: Logitech Media Server
« Reply #44 on: March 23, 2015, 11:31:24 PM »
Hi pimartin
Maybe you are missing  glibc_base-dev.tcz. Did you install  compile-essentials.tcz?